Bug 147273 - Update port: deskutils/cairo-dock to 2.1.3
Summary: Update port: deskutils/cairo-dock to 2.1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-01 09:20 UTC by Ivan Klymenko
Modified: 2010-07-12 04:10 UTC (History)
0 users

See Also:


Attachments
file.diff (8.88 KB, patch)
2010-06-01 09:20 UTC, Ivan Klymenko
no flags Details | Diff
147273.diff (9.83 KB, patch)
2010-06-29 17:47 UTC, Mikhail T.
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan Klymenko 2010-06-01 09:20:04 UTC

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2010-06-01 19:01:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Mikhail T. 2010-06-29 17:47:28 UTC
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/147273

Attached is the updated version of the upgrade-patch, that I used for 
one of the users. The changes from what Ivan submitted are:

   1. Remove patch for non-existent files/patch-cairo-dock-package-theme
   2. Add a patch, that replaces "curl" with FreeBSD's "fetch" in
      cairo-dock. (This is not, unfortunately, so simple in
      cairo-dock-plugins, because our fetch(1) can not currently perform
      HTTP POST.)
   3. Declare MAKE_JOBS_SAFE
   4. Make the version 2.1.3.9 -- so we don't have to hack anything,
      when the upstream releases a 2.1.3-11 or something...

Unfortunately, the user (Alexandra W.) continues to experience 
difficulties -- cairo-dock is dying in strcmp(), sometimes at start-up. 
This may, however, be related to her choice of plugins (if I remove her 
~/.config/cairo-dock directory, the app will come up anew)...

    -mi
Comment 3 dfilter service freebsd_committer 2010-07-12 04:05:56 UTC
miwi        2010-07-12 03:05:49 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/cairo-dock Makefile distinfo pkg-plist 
    deskutils/cairo-dock/files patch-Makefile.am patch-Makefile.in 
                               patch-configure 
  Added files:
    deskutils/cairo-dock/files patch-fetch 
  Log:
  - Update to 2.1.3-9
  
  PR:             ports/147273
  Submitted by:   Ivan Klymenko <fidaj@ukr.net> (maintainer)
  
  Revision  Changes    Path
  1.4       +22 -6     ports/deskutils/cairo-dock/Makefile
  1.2       +3 -3      ports/deskutils/cairo-dock/distinfo
  1.2       +3 -3      ports/deskutils/cairo-dock/files/patch-Makefile.am
  1.2       +3 -3      ports/deskutils/cairo-dock/files/patch-Makefile.in
  1.2       +5 -5      ports/deskutils/cairo-dock/files/patch-configure
  1.1       +33 -0     ports/deskutils/cairo-dock/files/patch-fetch (new)
  1.2       +27 -10    ports/deskutils/cairo-dock/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2010-07-12 04:06:34 UTC
State Changed
From-To: open->closed

Committed, i taked the patchset from "Mikhail T." 
<mi+thun@aldan.algebra.com>, because his patchset make sense .. Thanks!